# l-image-overlay

Easily display a image overlay.


## Playground
Any of the props of `l-image-overlay` or the classes that it extends can be used

<vuep template="#image-overlay-example"></vuep>

<script v-pre type="text/x-template" id="image-overlay-example">

<template>
  <l-map style="height: 100%; width: 100%" :zoom="zoom" :center="center" :options="{zoomControl: false}" :crs="crs">
    <l-image-overlay
      :url="url"
      :bounds="bounds">
    </l-image-overlay>
    <l-marker
      v-for="star in stars"
      :lat-lng="star"
      :key="star.name">
      <l-popup :content="star.name"/>
    </l-marker>
  </l-map>
</template>

<script>

Vue.component('l-map', Vue2Leaflet.LMap)
Vue.component('l-image-overlay', Vue2Leaflet.LImageOverlay)
Vue.component('l-marker', Vue2Leaflet.LMarker)
Vue.component('l-popup', Vue2Leaflet.LPopup)

export default {
  data () {
    return {
      url: 'http://leafletjs.com/examples/crs-simple/uqm_map_full.png',
      bounds: [[-26.5, -25], [1021.5, 1023]],
      crs: L.CRS.Simple,
      stars: [
        { name: 'Sol', lng: 175.2, lat: 145.0 },
        { name: 'Mizar', lng: 41.6, lat: 130.1 },
        { name: 'Krueger-Z', lng: 13.4, lat: 56.5 },
        { name: 'Deneb', lng: 218.7, lat: 8.3 }
      ]
    };
  }
}
</script>
</script>

## Props

`l-image-overlay` does not expose any props on his own.

[filename](../props-notice.md ':include')

## Methods

`l-image-overlay` does not expose any public method on his own.

[filename](../methods-notice.md ':include')

## Events

`l-image-overlay` does not emit any event on his own.

[filename](../events-notice.md ':include')

## Extends

<!-- tabs:start -->

## ** ImageOverlay **

[circle.md](../../mixins/image-overlay.md ':include')

## ** InteractiveLayer **

[path.md](../../mixins/interactive-layer.md ':include')

## ** Layer **

[path.md](../../mixins/layer.md ':include')

<!-- tabs:end -->
